Results 1 to 8 of 8

Thread: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

  1. #1
    Join Date
    Mar 2013
    Beans
    10

    ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    uname -a
    Linux klpu 3.8.0-15-generic #25-Ubuntu SMP Wed Mar 27 19:19:30 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

    Code:
    le at klpu in ~ 
    $ sudo apt-get upgrade 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be upgraded:
      accountsservice aptdaemon aptdaemon-data esound-common libaccountsservice0 libbonobo2-0 libbonobo2-common libcogl-common
      libcogl-pango12 libcogl12 libdb5.1++ libesd0:i386 libgeis1 libgksu2-0 libgnome2-0 libgnome2-bin libgnome2-common
      libgnomevfs2-0 libgnomevfs2-common libimobiledevice3 liblightdm-gobject-1-0 liborbit2 libpurple-bin libpurple0 lightdm
      obexd-client parcellite pidgin pidgin-data python-aptdaemon python-aptdaemon.gtk3widgets python-dbus python-dbus-dev
      python3-aptdaemon python3-aptdaemon.gtk3widgets python3-aptdaemon.pkcompat python3-dbus ubuntu-desktop ubuntu-minimal
      ubuntu-standard vim vim-common vim-gnome vim-gui-common vim-runtime vim-tiny
    46 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Need to get 0 B/13.8 MB of archives.
    After this operation, 30.7 kB of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    Extracting templates from packages: 100%
    Preconfiguring packages ...
    dpkg: error processing libdb5.1:amd64 (--configure):
     package libdb5.1:amd64 is not ready for configuration
     cannot configure (current status `half-installed')
    Errors were encountered while processing:
     libdb5.1:amd64
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Preconfiguring packages ...
    dpkg: error processing libdb5.1:amd64 (--configure):
    package libdb5.1:amd64 is not ready for configuration
    cannot configure (current status `half-installed')
    Errors were encountered while processing:
    libdb5.1:amd64
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    help?

  2. #2
    wojox is offline I Ubuntu, Therefore, I Am
    Join Date
    Apr 2009
    Beans
    8,630

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    Try the following
    Code:
    sudo apt-get install -f
    sudo dpkg --configure -a
    sudo apt-get --fix-broken install
    sudo apt-get --fix-missing install
    Last edited by wojox; April 3rd, 2013 at 12:34 PM. Reason: fixed commands

  3. #3
    Join Date
    Mar 2013
    Beans
    10

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    $ sudo apt-get --fix-missing install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 46 not upgraded.
    1 not fully installed or removed.
    Need to get 0 B/705 kB of archives.
    After this operation, 0 B of additional disk space will be used.
    dpkg: error processing libdb5.1:amd64 (--configure):
    package libdb5.1:amd64 is not ready for configuration
    cannot configure (current status `half-installed')
    Errors were encountered while processing:
    libdb5.1:amd64
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  4. #4
    wojox is offline I Ubuntu, Therefore, I Am
    Join Date
    Apr 2009
    Beans
    8,630

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    Code:
    sudo apt-get clean
    sudo apt-get autoclean
    sudo apt-get --fix-missing install

  5. #5
    Join Date
    Mar 2013
    Beans
    10

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    dpkg: error processing libdb5.1:amd64 (--configure):
    package libdb5.1:amd64 is not ready for configuration
    cannot configure (current status `half-installed')
    Errors were encountered while processing:
    libdb5.1:amd64
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  6. #6
    Join Date
    Mar 2013
    Beans
    10

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    Use

    $ sudo apt-get install --reinstall libdb5.1:amd64

    OK .thanks!!!

  7. #7
    wojox is offline I Ubuntu, Therefore, I Am
    Join Date
    Apr 2009
    Beans
    8,630

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    Code:
    sudo apt-get build-dep libdb5.1
    sudo apt-get install

  8. #8
    wojox is offline I Ubuntu, Therefore, I Am
    Join Date
    Apr 2009
    Beans
    8,630

    Re: ubuntu 13.04 dpkg: error processing libdb5.1:amd64 (--configure):

    Quote Originally Posted by Crossle Song View Post
    Use

    $ sudo apt-get install --reinstall libdb5.1:amd64

    OK .thanks!!!
    Great

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •